org.apache.lucene.analysis.hunspell

## Class HunspellStemFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.hunspell.HunspellStemFilterFactory

All Implemented Interfaces:
  ResourceLoaderAware

    public class HunspellStemFilterFactory
    extends TokenFilterFactory
    implements ResourceLoaderAware

TokenFilterFactory that creates instances of `HunspellStemFilter`. Example config for British English:

     <filter class="solr.HunspellStemFilterFactory"
             dictionary="en_GB.dic,my_custom.dic"
             affix="en_GB.aff"
             ignoreCase="false"
             longestOnly="false" />

Both parameters dictionary and affix are mandatory. Dictionaries for many languages are available through the OpenOffice project. See http://wiki.apache.org/solr/Hunspell

Since:
  3.5.0
WARNING: This API is experimental and might change in incompatible ways in the next release.
SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
  "hunspellStem"

### Field Summary

Fields
`static String` `NAME` SPI name

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`HunspellStemFilterFactory(Map<String,String> args)` Creates a new HunspellStemFilterFactory

### Method Summary

All Methods Instance Methods Concrete Methods
`TokenStream` `create(TokenStream tokenStream)` Transform the specified input TokenStream
`void` `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

SPI name

See Also:
  Constant Field Values

### Constructor Detail

#### HunspellStemFilterFactory

    public HunspellStemFilterFactory(Map<String,String> args)

Creates a new HunspellStemFilterFactory

### Method Detail

#### inform

    public void inform(ResourceLoader loader)
                throws IOException

Description copied from interface: `ResourceLoaderAware`
Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

Specified by:
  `inform` in interface `ResourceLoaderAware`
Throws:
  `IOException`

#### create

    public TokenStream create(TokenStream tokenStream)

Description copied from class: `TokenFilterFactory`
Transform the specified input TokenStream

Specified by:
  `create` in class `TokenFilterFactory`